Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Class MessagePayloadMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.MessagePayloadMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class MessagePayloadMessageHandler

extends HandlerImpl

Handle I2CP MessagePayloadMessages from the router delivering the contents of a message by accepting it, decrypting the payload, adding it to the set of recieved messages, and telling the router that it has been recieved correctly. We don't really decrypt (no more end-to-end crypto)

Author:
  jrandom

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`MessagePayloadMessageHandler(I2PAppContext context)`

Method Summary
`void` | `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePayloadMessageHandler

    public MessagePayloadMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD